<?php
##################################################
## Автор: -=ШАХТЕР=-                             #                                                                                                                                                                                 ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является БЕСПЛАТНОЙ!    #
## Версия чата: voblja 4.1 LITE                  #
## Полная версия: 4.1 FUll                       #
## http://masteram.us - Закрытый клуб мастеров;) #
##################################################

require'config.php';
$align='left';

if (!ctype_digit($_GET['nk'])){header('Location: index?'.SID);die;}
$nk = intval($_GET['nk']);
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".$nk."'"));
$title='Стена '.$inf[user];
aut();
head();
who_add(0,'enter');
echo '<br />';

if ($inf['id']!=$user['id'])$db->sql_query ("INSERT INTO oko (user_id,who_id,msg,time) VALUES ('$inf[id]','$user[id]','".check('Смотрит вашу стену сообщений')."','$time')");

if (isset($_POST['msg'])){
if (ignor(user_inf($inf[id]),$user['id'])==1){header ('Location: stena'.$inf['id'].'?err=2&'.SID);  exit;}
if ($_POST['fil']!=1){
if (strlen2($_POST['msg'])<3){header ('Location: stena'.$inf['id'].'?err=1&'.SID); exit;}

if (user_inf($inf['id'],'st_notify')==1){
if ($user['sex']==1)$sex = 'оставил'; else $sex = 'оставила';
$msg = 'Пользователь [b]'.$user['user'].'[/b] '.$sex.' сообщение на вашей  [url=/stena'.$inf['id'].']стене[/url].';
$db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('$user_system','0','".user($inf['id'])."','".user_inf($inf['id'])."','$time','$msg')");

$msgmail = "Пользователь ".$user['user']." ".$sex." сообщение на вашей стене. \nПросмотреть запись можно на Вашей странице: \nhttp://".$_SERVER['HTTP_HOST']."/stena".$inf['id']." \n\nС уважением,
Администрация ".$_SERVER['HTTP_HOST']." \n\n\n_ _ _ _ _
Вы можете поменять настройки e-mail оповещений на странице:
http://".$_SERVER['HTTP_HOST']."/my/setting?mod=notify";

$mail=explode('|',user_inf($inf['id'],'mail'));
addmail($mail[0], $user['user']." ".$sex." сообщение на вашей стене", $msgmail);
}


if ($user['translit']==1)$_POST['msg'] = translit($_POST['msg']);
$db->sql_query ("INSERT INTO stena (user_id,mgs_id,msg,time) VALUES ('$inf[id]','$user[id]','".check($_POST['msg'])."','$time')");
posts_add();
header ('Location: stena'.$inf['id'].'?'.SID);
}else{



if (empty($act)){
if ($ver=='wml'){echo 'Добавление возможно только xHTML версии!<br />'; foot();}

echo '<form method="post" enctype="multipart/form-data" action="stena'.$inf['id'].'?act=add&amp;'.SID.'" method="post">';
echo 'Ваш комментарий:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg">'.text($_POST['msg'],false,true,false,false,false).'</textarea><br/>';
echo 'Прикрепить изобр. (max '.$set['size_img_sten'].' кб.):<br/>
<input name="file" type="file" size="20"/>
<input name="fil" type="hidden" value="1"/><br/><br />';
echo '<input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';


}else{
if (strlen2($_POST['msg'])<3){header ('Location: stena'.$inf['id'].'?err=1&'.SID); exit;}

if(!isset($_FILES['file'])) $err = "<b>Вы не указали файл!</b><br/>";
$pictures = array('.gif', '.jpg', '.jpeg', '.bmp', '.png');
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));
if(!in_array($ext, $pictures)){echo 'Разреширы только файлы с разрешением: gif, jpg, jpeg  и png!<br />';}
if($_FILES['file']['size'] > (1024 * $set['size_img_sten'])) {echo 'Размер больше '.$set['size_img_sten'].' кб.!<br />';}


$ref=rand(10000,1000000);
$file = "stena_".$ref.$ext."";

@copy($_FILES['file']['tmp_name'], H.'files/stena/'.$file);
@chmod(H."files/stena/".basename($file), 0644);

if ($user['translit']==1)$_POST['msg'] = translit($_POST['msg']);
$db->sql_query ("INSERT INTO stena (user_id,mgs_id,msg,time,img) VALUES ('$inf[id]','$user[id]','".check($_POST['msg'])."','$time','$file')");
posts_add();

if (user_inf($inf['id'],'st_notify')==1){
if ($user['sex']==1)$sex = 'оставил'; else $sex = 'оставила';
$msg = 'Пользователь [b]'.$user['user'].'[/b] '.$sex.' сообщение на вашей  [url=/stena'.$inf['id'].']стене[/url].';
$db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('$user_system','0','".user($inf['id'])."','".user_inf($inf['id'])."','$time','$msg')");


$msgmail = "Пользователь ".$user['user']." ".$sex." сообщение на вашей стене. \nПросмотреть запись можно на Вашей странице: \nhttp://".$_SERVER['HTTP_HOST']."/stena".$inf['id']." \n\nС уважением,
Администрация ".$_SERVER['HTTP_HOST']." \n\n\n_ _ _ _ _
Вы можете поменять настройки e-mail оповещений на странице:
http://".$_SERVER['HTTP_HOST']."/my/setting?mod=notify";

$mail=explode('|',user_inf($inf['id'],'mail'));
addmail($mail[0], $user['user']." ".$sex." сообщение на вашей стене", $msgmail);
}

header ('Location: stena'.$inf['id'].'?'.SID);
}
}
echo '<br />';
echo gb.'<a href="?">Стена</a>'.div;
echo gb.'<a href="'.H.$inf[id].'">В анкету</a>'.div;
foot();

}



if (isset($_GET['vote'])){
if ($user['posts']<$set['posts_vus'])echo '<b>Голосовать можно с '.$set['posts_vus'].' постов!</b><br />';
else{
if ($inf[id]==$user[id])echo '<b>За себя вы не можете голосовать!</b><br />';
else{
$db->sql_query ("Select * from vote_us where user_id='".$inf[id]."' and vote_id='".$user[id]."'");
if (mysql_affected_rows()!=0){
echo $fs1;
echo "Вы уже голосовали за <b>".$inf[user]."</b>! Голос не принят.<br/>";
echo $fs2;
} else {
$v1=$db->sql_fetchfield($db->sql_query("select count(*) as num from vote_us where user_id = '".$inf[id]."' and znak = '1'"),0);
$v2=$db->sql_fetchfield($db->sql_query("select count(*) as num from vote_us where user_id = '".$inf[id]."' and znak = '0'"),0);

if ($_GET['vote']==1)$msg = 'Пользователь [b]'.$user['user'].'[/b] отдал за вас Положительный голос, и теперь ваш [url=/stena'.$inf['id'].']рейтинг[/url] равен [b]'.(($v1-$v2)+1).'[/b].';
else if ($_GET['vote']==0) $msg = 'Пользователь [b]'.$user['user'].'[/b] отдал за вас Отрицательный голос, и теперь ваш [url=/stena'.$inf['id'].']рейтинг[/url] равен [b]'.(($v1-$v2)-1).'[/b].';

$db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('$user_system','0','".$inf[user]."','".$inf[id]."','$time','$msg')");

$db->sql_query ("INSERT INTO vote_us (user_id,vote_id,znak) VALUES ('$inf[id]','$user[id]','".intval($_GET['vote'])."')");
header ('Location: stena'.$inf['id'].'?'.SID);
}
}
}
}


$v0=$db->sql_fetchfield($db->sql_query("select count(*) as num from vote_us where user_id = '".$inf[id]."'"),0);
$v1=$db->sql_fetchfield($db->sql_query("select count(*) as num from vote_us where user_id = '".$inf[id]."' and znak = '1'"),0);
$v2=$db->sql_fetchfield($db->sql_query("select count(*) as num from vote_us where user_id = '".$inf[id]."' and znak = '0'"),0);
$db->sql_query('UPDATE `users` SET `vote_us` = "'.($v1-$v2).'" WHERE `id` = "'.$inf[id].'" LIMIT 1');

echo '&#160;Рейтинг '.$inf[user].': <b>'.($v1-$v2).'</b><br />
&#160;Голосов: <b>'.$v0.'</b><br />
&#160;Положительных: <b>'.$v1.'</b> ('.round(100-(100/($v0/$v2))).' %)<br />
&#160;Отрицательных: <b>'.$v2.'</b> ('.round(100-(100/($v0/$v1))).' %)<br />';

$db->sql_query ("Select * from vote_us where user_id='".$inf[id]."' and vote_id='".$user[id]."'");
if (mysql_affected_rows()==0 && $user['posts']>=$set['posts_vus']){
if ($inf[id]!=$user[id])echo '&#160;&#160;&#160;&#160;&#160;<a href="'.H.'stena'.$inf['id'].'?vote=1"><img src="'.H.'img/plus.gif" alt="*"/> Плюс</a> | <a href="'.H.'stena'.$inf['id'].'?vote=0"> Минус<img src="'.H.'img/minus.gif" alt="*"/></a><br />';}

if (user_inf($inf[id],'pp_c_st')==2){echo '<br /><b>'.$inf['user'].'</b> запретил просматривать его стену!<br />';
}else{
if (user_inf($inf[id],'pp_c_st')!=1 || friends($inf[id],$user['id'])==1){

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from stena where user_id = '".$inf['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from stena where user_id = '".$inf['id']."' order by time desc LIMIT $start, $max");
echo '<br />';
if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo menu.'Стена <b>'.$inf[user].'</b>'.div.'показаны записи '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
if ($_GET['err']==1)echo '<b>Сообщение должно быть длиннее 3 символов!</b><br />';
if ($_GET['err']==2)echo '<b>Вы не можете оставлять комментарии, т.к. находитесь в черном списке '.$inf[user].'.</b><br />';
if ($k_post == 0)echo 'Сообщений пока нет...<br /><br />';

$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
if($inf[id]==$user[id] || $user[level]>=5)$delk = '<a href="'.H.'stena'.$inf['id'].'?delk='.$a['id'].'">Удалить</a>';

echo links.'<b>'.nik($a['mgs_id']).'</b> ('.times($a['time']).')'.div;

echo '&#160;'.smiles(antir(antim(bbcode(br($a['msg']))))).'<br/>';
if ($a['img']!='')echo '<a href="'.H.'files/stena/'.$a['img'].'"><img src="'.H.'stena_img.php?'.$a[id].'" width="'.$set['w_img_sten'].'" height="'.$set['h_img_sten'].'" alt="'.$a['img'].'"/></a><br />';
echo '<dt></dt><small>&#160;&#160;';
if (user_inf($a[mgs_id],'sex')==1)$sex = 'Его'; else $sex = 'Её';
if ($a[mgs_id]!=$user[id]&&$a[mgs_id]!=$inf[id])echo '<a href="'.H.'stena'.$a[mgs_id].'">'.$sex.' стена</a> | ';

echo $delk.'</small><dt></dt>';
echo '<dl></dl>';
}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str(H.'stena'.$inf['id'].'?',$k_page,$page); // Вывод страниц
echo "<dl><dt></dt></dl>";
}

if (user_inf($inf[id],'pp_st_s')==2){echo '<br /><b>'.$inf['user'].'</b> запретил оставлять сообщения на его стене!<br />';
}else{
if (user_inf($inf[id],'pp_st_s')!=1 || friends($inf[id],$user['id'])==1){

if ($ver!='wml')echo '<form action="stena'.$inf['id'].'?'.SID.'" method="post">';
if ($ver=='wml')echo 'Ваш комментарий:<br /><input name="msg'.$ref.'" maxlength="15" title="Text"/><br/>';
else {echo 'Ваш комментарий:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg"></textarea><br/>
<input name="fil" type="checkbox" value="1"> Добавить изображение
<br />';

}
if ($ver=='wml'){
echo '<anchor title="go">Добавить<go href="stena'.$inf['id'].'?'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
</go></anchor><br /><br />';
;
}else{
echo '<input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}
}else{echo '<br />Писать на стене могут только его друзья!<br />';}
}

}else{echo '<br />Стену <b>'.$inf['user'].'</b> могут видеть только его друзья!<br />';}
}
if (isset($_GET['delk'])){
if ($user[level]>=5){
$db->sql_query("DELETE FROM `stena` WHERE `id` = '".intval($_GET['delk'])."'");
}else{
$db->sql_query("DELETE FROM `stena` WHERE `id` = '".intval($_GET['delk'])."' and user_id = '$user[id]'");
}
header ('Location: stena'.$inf['id'].'?'.SID);

}

echo '<br />';
echo gb.'<a href="'.H.$inf[id].'">В анкету</a>'.div;
echo gb.'<a href="'.H.'enter?">Прихожая</a>'.div;
foot();
?>